@keyframes notification {
    0% {top: -8rem;}
    20% {top: 4rem;}
    40% {top: 1.9rem;}
    75% {top: 2.1rem;}
    100% {top: 2rem;}
}

.error-notification {
    position: fixed;
    top: 2rem;
    left: 50%;
    transform: translateX(-50%);
    width: 18rem;
    z-index: 2;
    display: flex;
    flex-direction: column;
    border: 2px solid var(--danger-border);
    border-radius: 1rem;
    background-color: rgba(255, 182, 186, 0.8);
    backdrop-filter: blur(3px);
    animation-name: notification;
    animation-duration: 2s;
    animation-timing-function: ease-in-out;
    animation-direction: normal;
}

.error-notification .notification-header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 1rem;
    padding-bottom: 0.25rem;
    border-bottom: 2px solid var(--danger-border);
}

.notification-header button {
    background: none;
    outline: none;
    border: none;
    cursor: pointer;
    transition: all ease-in-out .3s;
}

.notification-header button:hover {
    transform: scale(1.2);
}

.notification-header svg {
    width: 1.5rem;
    height: 1.5rem;
}

.error-notification .notification-body {
    padding: 1rem;
}

@media only screen and (max-width: 1200px) {

}

@media only screen and (max-width: 768px) {
    .error-notification {
        width: 70%;
    }
}